Subject: Re: bug#21974: can't build guix without 'makeinfo'

From: [email-masked] (Ludovic Courtès)
Date: Sat, 21 Nov 2015 21:40:40 +0100

Jan Synáček <[email-masked]> skribis:

> The build fails with an error if the 'makeinfo' binary is missing on
> the system. The configure script should check for 'makeinfo' and fail
> if not found (or maybe warn that the docs won't be built?).

‘makeinfo’ is necessary when building from a checkout or otherwise
modifying the manual, but it’s not necessary when building from a
tarball.  See
<https://www.gnu.org/software/guix/manual/html_node/Building-from-Git.html>.

Can you confirm you were building from a checkout?

Thanks,
Ludo’.